- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjectiveOption Class Reference

the ObjectiveOption class. More...

`#include <OSOption.h>`

Collaboration diagram for ObjectiveOption:

[legend]
List of all members.

## Public Member Functions
| ObjectiveOption ()
| Default constructor.
| ~ObjectiveOption ()
| Class destructor.
bool | IsEqual (ObjectiveOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setOther (int numberOfOptions, OtherObjectiveOption **other)
| A function to set an array of <other> elements.
bool | addOther (OtherObjectiveOption *other)
| A function to add an <other> element.
## Public Attributes
int | numberOfOtherObjectiveOptions
| number of <other> child elements
InitObjectiveValues * | initialObjectiveValues
| initial values for the objectives
InitObjectiveBounds * | initialObjectiveBounds
| initial bounds for the objectives
BasisStatus * | initialBasisStatus
| initial basis status for the objectives
OtherObjectiveOption ** | other
| other information about the objectives

## Detailed Description

the ObjectiveOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2277 of file OSOption.h.

## Constructor & Destructor Documentation

ObjectiveOption::ObjectiveOption | ( |  | ) |

Default constructor.

Definition at line 909 of file OSOption.cpp.

References initialBasisStatus, initialObjectiveBounds, initialObjectiveValues, and other.

ObjectiveOption::~ObjectiveOption | ( |  | ) |

Class destructor.

Definition at line 921 of file OSOption.cpp.

References initialBasisStatus, initialObjectiveBounds, initialObjectiveValues, numberOfOtherObjectiveOptions, and other.

## Member Function Documentation

bool ObjectiveOption::IsEqual | ( | ObjectiveOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 9490 of file OSOption.cpp.

References initialBasisStatus, initialObjectiveBounds, initialObjectiveValues, numberOfOtherObjectiveOptions, and other.

bool ObjectiveOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10886 of file OSOption.cpp.

References initialBasisStatus, initialObjectiveBounds, initialObjectiveValues, numberOfOtherObjectiveOptions, OSRand(), other, OtherObjectiveOption::setRandom(), BasisStatus::setRandom(), InitObjectiveBounds::setRandom(), and InitObjectiveValues::setRandom().

Referenced by OptimizationOption::setRandom().

bool ObjectiveOption::setOther | ( | int | numberOfOptions,
|  | OtherObjectiveOption ** | other |
| ) |  |  |

A function to set an array of <other> elements.

Parameters:

  | numberOfOptions,: | number of <other> elements to be set
  | other,: | the array of <other> elements that are to be set

Definition at line 5528 of file OSOption.cpp.

References OtherObjectiveOption::category, OtherObjectiveOption::description, OtherObjectiveOption::enumeration, OtherObjectiveOption::name, OtherObjectiveOption::numberOfEnumerations, OtherObjectiveOption::numberOfObj, numberOfOtherObjectiveOptions, OtherObjectiveOption::obj, other, OtherOptionEnumeration::setOtherOptionEnumeration(), OtherObjectiveOption::solver, OtherObjectiveOption::type, and OtherObjectiveOption::value.

Referenced by OSOption::setOtherObjectiveOptions().

bool ObjectiveOption::addOther | ( | OtherObjectiveOption * | other | ) |

A function to add an <other> element.

Parameters:

  | other,: | the content of the <other> element to be added

Definition at line 5593 of file OSOption.cpp.

References OtherObjectiveOption::category, OtherOptionEnumeration::description, OtherObjectiveOption::description, IntVector::el, OtherObjectiveOption::enumeration, OtherObjectiveOption::name, IntVector::numberOfEl, OtherObjectiveOption::numberOfEnumerations, OtherObjectiveOption::numberOfObj, numberOfOtherObjectiveOptions, OtherObjectiveOption::obj, other, OtherObjectiveOption::solver, OtherObjectiveOption::type, OtherOptionEnumeration::value, and OtherObjectiveOption::value.

Referenced by OSOption::setAnOtherObjectiveOption().

## Member Data Documentation

int ObjectiveOption::numberOfOtherObjectiveOptions

number of <other> child elements

Definition at line 2281 of file OSOption.h.

Referenced by addOther(), OSOption::getNumberOfOtherObjectiveOptions(), IsEqual(), OSOption::setNumberOfOtherObjectiveOptions(), setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherObjectiveOptionObj(), OSOption::setOtherObjectiveOptions(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~ObjectiveOption().

InitObjectiveValues* ObjectiveOption::initialObjectiveValues

initial values for the objectives

Definition at line 2284 of file OSOption.h.

Referenced by OSOption::getInitObjValuesSparse(), OSOption::getNumberOfInitObjValues(), IsEqual(), ObjectiveOption(), OSOption::setAnotherInitObjValue(), OSOption::setInitObjValues(), OSOption::setInitObjValuesDense(), OSOption::setInitObjValuesSparse(), setRandom(), and ~ObjectiveOption().

InitObjectiveBounds* ObjectiveOption::initialObjectiveBounds

initial bounds for the objectives

Definition at line 2287 of file OSOption.h.

Referenced by OSOption::getInitObjBoundsSparse(), OSOption::getNumberOfInitObjBounds(), IsEqual(), ObjectiveOption(), OSOption::setAnotherInitObjBound(), OSOption::setInitObjBounds(), OSOption::setInitObjBoundsDense(), OSOption::setInitObjBoundsSparse(), setRandom(), and ~ObjectiveOption().

BasisStatus* ObjectiveOption::initialBasisStatus

initial basis status for the objectives

Definition at line 2290 of file OSOption.h.

Referenced by OSOption::getInitialBasisElements(), OSOption::getNumberOfInitialBasisElements(), IsEqual(), ObjectiveOption(), OSOption::setAnotherInitBasisStatus(), OSOption::setInitBasisStatus(), setRandom(), and ~ObjectiveOption().

OtherObjectiveOption** ObjectiveOption::other

other information about the objectives

Definition at line 2293 of file OSOption.h.

Referenced by addOther(), OSOption::getAllOtherObjectiveOptions(), IsEqual(), ObjectiveOption(), OSOption::setNumberOfOtherObjectiveOptions(), setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherObjectiveOptionObj(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~ObjectiveOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp